Skip to main content
PATCH
/
accounts
/
{id}
Update a bank account
curl --request PATCH \
  --url https://api.check.et/api/v1/accounts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "Primary Account",
  "is_primary": true
}
'
{
  "account": {
    "id": 3,
    "bank": "cbe",
    "bank_name": "Commercial Bank of Ethiopia",
    "account_number": "1000876543218",
    "account_last_four": "3218",
    "label": "Main CBE Account",
    "is_primary": true
  }
}

Authorizations

Authorization
string
header
required

API key from your dashboard - starts with chk_. Requires a business account.

Path Parameters

id
integer
required
Example:

3

Body

application/json
label
string
Example:

"Primary Account"

is_primary
boolean
Example:

true

Response

200 - application/json

Updated

account
object